org.eclipse.oomph.setup.mylyn

## Interface MylynBuildsTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    MylynBuildsTaskImpl

      public interface MylynBuildsTask
      extends SetupTask

  A representation of the model object 'Mylyn Builds Task'.

  The following features are supported:

  - `Connector Kind`
  - `Server URL`
  - `User ID`
  - `Password`
  - `Build Plans`
  See Also:
    `MylynPackage.getMylynBuildsTask()`
  Generated
  Model
    annotation="http://www.eclipse.org/oomph/setup/Enablement installableUnits='org.eclipse.mylyn.tasks.core org.eclipse.mylyn.tasks.ui'" annotation="http://www.eclipse.org/oomph/setup/ValidTriggers triggers='STARTUP MANUAL'"

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<BuildPlan>` | `getBuildPlans()` Returns the value of the 'Build Plans' containment reference list.
    `String` | `getConnectorKind()` Returns the value of the 'Connector Kind' attribute.
    `String` | `getPassword()` Returns the value of the 'Password' attribute.
    `String` | `getServerURL()` Returns the value of the 'Server URL' attribute.
    `String` | `getUserID()` Returns the value of the 'User ID' attribute.
    `void` | `setConnectorKind(String value)` Sets the value of the '`Connector Kind`' attribute.
    `void` | `setPassword(String value)` Sets the value of the '`Password`' attribute.
    `void` | `setServerURL(String value)` Sets the value of the '`Server URL`' attribute.
    `void` | `setUserID(String value)` Sets the value of the '`User ID`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getConnectorKind

          String getConnectorKind()

      Returns the value of the 'Connector Kind' attribute. The default value is `"org.eclipse.mylyn.hudson"`.

      If the meaning of the 'Connector Kind' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Connector Kind' attribute.
      See Also:
        `setConnectorKind(String)`, `MylynPackage.getMylynBuildsTask_ConnectorKind()`
      Generated
      Model
        default="org.eclipse.mylyn.hudson" required="true"

    - #### setConnectorKind

          void setConnectorKind(String value)

      Sets the value of the '`Connector Kind`' attribute.
      Parameters:
        `value` - the new value of the 'Connector Kind' attribute.
      See Also:
        `getConnectorKind()`
      Generated

    - #### getServerURL

          String getServerURL()

      Returns the value of the 'Server URL' attribute.

      If the meaning of the 'Server URL' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Server URL' attribute.
      See Also:
        `setServerURL(String)`, `MylynPackage.getMylynBuildsTask_ServerURL()`
      Generated
      Model
        required="true"

    - #### setServerURL

          void setServerURL(String value)

      Sets the value of the '`Server URL`' attribute.
      Parameters:
        `value` - the new value of the 'Server URL' attribute.
      See Also:
        `getServerURL()`
      Generated

    - #### getBuildPlans

          EList<BuildPlan> getBuildPlans()

      Returns the value of the 'Build Plans' containment reference list. The list contents are of type `BuildPlan`.

      If the meaning of the 'Build Plans' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Build Plans' containment reference list.
      See Also:
        `MylynPackage.getMylynBuildsTask_BuildPlans()`
      Generated
      Model
        containment="true" required="true" extendedMetaData="name='buildPlan'"

    - #### getUserID

          String getUserID()

      Returns the value of the 'User ID' attribute.

      If the meaning of the 'User ID' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'User ID' attribute.
      See Also:
        `setUserID(String)`, `MylynPackage.getMylynBuildsTask_UserID()`
      Generated
      Model

    - #### setUserID

          void setUserID(String value)

      Sets the value of the '`User ID`' attribute.
      Parameters:
        `value` - the new value of the 'User ID' attribute.
      See Also:
        `getUserID()`
      Generated

    - #### getPassword

          String getPassword()

      Returns the value of the 'Password' attribute.

      If the meaning of the 'Password' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Password' attribute.
      See Also:
        `setPassword(String)`, `MylynPackage.getMylynBuildsTask_Password()`
      Generated
      Model

    - #### setPassword

          void setPassword(String value)

      Sets the value of the '`Password`' attribute.
      Parameters:
        `value` - the new value of the 'Password' attribute.
      See Also:
        `getPassword()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html